item replace entity @s weapon.mainhand with air

scoreboard players set @s ppg.max_mana 100
scoreboard players set @s ppg.mana 100
scoreboard players add ppg.SYSTEM ppg.player_num 1
scoreboard players set @s ppg.mana_recharge_timer 0

effect give @s minecraft:nausea 6
effect give @s minecraft:slowness 2 6
particle minecraft:soul_fire_flame ~ ~1 ~ 1 1 1 0.1 20
execute store result storage ppg:macros temp.player_num int 1 run scoreboard players operation @s ppg.player_num = ppg.SYSTEM ppg.player_num
function ppgrw:runic_mark_macro with storage ppg:macros temp

function ppgrw:mana/update_display

scoreboard players set @s ppg.fire_bolt_cd 0
scoreboard players set @s ppg.frost_bolt_cd 0
scoreboard players set @s ppg.gaia_bolt_cd 0
scoreboard players set @s ppg.shadow_bolt_cd 0
scoreboard players set @s ppg.precipice_leap_cd 0
scoreboard players set @s ppg.earthen_guard_cd 0
scoreboard players set @s ppg.risen_army_cd 0
scoreboard players set @s ppg.risen_army_alt_cd 0
#scoreboard players set @s ppg.blood_blade_cd 0
scoreboard players set @s ppg.shrouded_dash_cd 0
scoreboard players set @s ppg.flame_burst_cd 0
scoreboard players set @s ppg.hot_shots_cd 0
scoreboard players set @s ppg.icicle_impale_cd 0
scoreboard players set @s ppg.blizzard_cd 0

scoreboard players set @s ppg.rune_transfer_fail 0

scoreboard players set @s ppg.runic_expunger 0

give @s paper[custom_name='{"color":"yellow","italic":true,"text":"Note: Runic Enchantments"}',lore=['{"color":"gray","italic":false,"text":"Runic enchantments are enchantments"}','{"color":"gray","italic":false,"text":"that can activate special abilities"}','{"color":"gray","italic":false,"text":"when interacting with mana. They are"}','{"color":"gray","italic":false,"text":"obtained through runes, most of which"}','{"color":"gray","italic":false,"text":"can be crafted. Runic enchantments can"}','{"color":"gray","italic":false,"text":"be used by runes on their own, or can"}','{"color":"gray","italic":false,"text":"be transferred onto weapons."}','{"color":"gray","italic":false,"text":"Items cannot have more than one runic"}','{"color":"gray","italic":false,"text":"enchantment at a time. Runic"}','{"color":"gray","italic":false,"text":"enchantments can be removed with the"}','{"color":"gray","italic":false,"text":"item \\"Runic Expunger\\" (craftable)"}'],custom_model_data=529000] 1
give @s paper[custom_name='{"color":"yellow","italic":true,"text":"Note: Relic Weapons"}',lore=['{"color":"gray","italic":false,"text":"Relic Weapons are unique weapons"}','{"color":"gray","italic":false,"text":"with specialized runic enchantments."}','{"color":"gray","italic":false,"text":"They come in a variety of types that"}','{"color":"gray","italic":false,"text":"can be obtained in different ways - "}','{"color":"gray","italic":false,"text":"some by crafting, some by looting."}','{"color":"gray","italic":false,"text":"Unlike normal runic enchantments,"}','{"color":"gray","italic":false,"text":"their abilities are not tied to mana,"}','{"color":"gray","italic":false,"text":"but instead their own individual"}','{"color":"gray","italic":false,"text":"sources of energy."}'],custom_model_data=529000] 1
give @p paper[custom_name='{"color":"yellow","italic":true,"text":"Note: Elements"}',lore=['{"color":"gray","italic":false,"text":"There exists several elements of"}','{"color":"gray","italic":false,"text":"nature that interact with runic"}','{"color":"gray","italic":false,"text":"abilities. Some abilities require"}','{"color":"gray","italic":false,"text":"a certain elemental power level and"}','{"color":"gray","italic":false,"text":"some can be strengthened by higher"}','{"color":"gray","italic":false,"text":"elemental power levels. Runewielders"}','{"color":"gray","italic":false,"text":"can boost their elemental power with"}','{"color":"gray","italic":false,"text":"particular enchantments and/or"}','{"color":"gray","italic":false,"text":"special handheld orbs (craftable)"}'],custom_model_data=529000] 1
